# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'src'}

packages = \
['semsql',
 'semsql.builder',
 'semsql.ontlib',
 'semsql.sqla',
 'semsql.sqlutils',
 'semsql.utils']

package_data = \
{'': ['*'],
 'semsql': ['linkml/*'],
 'semsql.builder': ['indexes/*',
                    'prefixes/obo_prefixes.csv',
                    'prefixes/obo_prefixes.csv',
                    'prefixes/obo_prefixes.csv',
                    'prefixes/obo_prefixes.csv',
                    'prefixes/obo_prefixes.csv',
                    'prefixes/obo_prefixes.csv',
                    'prefixes/obo_prefixes.csv',
                    'prefixes/obo_prefixes.csv',
                    'prefixes/obo_prefixes.db',
                    'prefixes/obo_prefixes.db',
                    'prefixes/obo_prefixes.db',
                    'prefixes/obo_prefixes.db',
                    'prefixes/obo_prefixes.db',
                    'prefixes/obo_prefixes.db',
                    'prefixes/obo_prefixes.db',
                    'prefixes/obo_prefixes.db',
                    'prefixes/obo_prefixes.owl',
                    'prefixes/obo_prefixes.owl',
                    'prefixes/obo_prefixes.owl',
                    'prefixes/obo_prefixes.owl',
                    'prefixes/obo_prefixes.owl',
                    'prefixes/obo_prefixes.owl',
                    'prefixes/obo_prefixes.owl',
                    'prefixes/obo_prefixes.owl',
                    'prefixes/obo_prefixes.ttl',
                    'prefixes/obo_prefixes.ttl',
                    'prefixes/obo_prefixes.ttl',
                    'prefixes/obo_prefixes.ttl',
                    'prefixes/obo_prefixes.ttl',
                    'prefixes/obo_prefixes.ttl',
                    'prefixes/obo_prefixes.ttl',
                    'prefixes/obo_prefixes.ttl',
                    'prefixes/prefix.sql',
                    'prefixes/prefix.sql',
                    'prefixes/prefix.sql',
                    'prefixes/prefix.sql',
                    'prefixes/prefix.sql',
                    'prefixes/prefix.sql',
                    'prefixes/prefix.sql',
                    'prefixes/prefix.sql',
                    'prefixes/prefix_ddl.sql',
                    'prefixes/prefix_ddl.sql',
                    'prefixes/prefix_ddl.sql',
                    'prefixes/prefix_ddl.sql',
                    'prefixes/prefix_ddl.sql',
                    'prefixes/prefix_ddl.sql',
                    'prefixes/prefix_ddl.sql',
                    'prefixes/prefix_ddl.sql',
                    'prefixes/prefixes.csv',
                    'prefixes/prefixes.csv',
                    'prefixes/prefixes.csv',
                    'prefixes/prefixes.csv',
                    'prefixes/prefixes.csv',
                    'prefixes/prefixes.csv',
                    'prefixes/prefixes.csv',
                    'prefixes/prefixes.csv',
                    'prefixes/prefixes_curated.csv',
                    'prefixes/prefixes_curated.csv',
                    'prefixes/prefixes_curated.csv',
                    'prefixes/prefixes_curated.csv',
                    'prefixes/prefixes_curated.csv',
                    'prefixes/prefixes_curated.csv',
                    'prefixes/prefixes_curated.csv',
                    'prefixes/prefixes_curated.csv',
                    'sql_schema/obo.sql',
                    'sql_schema/obo.sql',
                    'sql_schema/obo.sql',
                    'sql_schema/obo.sql',
                    'sql_schema/obo.sql',
                    'sql_schema/obo.sql',
                    'sql_schema/omo.sql',
                    'sql_schema/omo.sql',
                    'sql_schema/omo.sql',
                    'sql_schema/omo.sql',
                    'sql_schema/omo.sql',
                    'sql_schema/omo.sql',
                    'sql_schema/owl.sql',
                    'sql_schema/owl.sql',
                    'sql_schema/owl.sql',
                    'sql_schema/owl.sql',
                    'sql_schema/owl.sql',
                    'sql_schema/owl.sql',
                    'sql_schema/rdf.sql',
                    'sql_schema/rdf.sql',
                    'sql_schema/rdf.sql',
                    'sql_schema/rdf.sql',
                    'sql_schema/rdf.sql',
                    'sql_schema/rdf.sql',
                    'sql_schema/relation_graph.sql',
                    'sql_schema/relation_graph.sql',
                    'sql_schema/relation_graph.sql',
                    'sql_schema/relation_graph.sql',
                    'sql_schema/relation_graph.sql',
                    'sql_schema/relation_graph.sql',
                    'sql_schema/semsql.sql',
                    'sql_schema/semsql.sql',
                    'sql_schema/semsql.sql',
                    'sql_schema/semsql.sql',
                    'sql_schema/semsql.sql',
                    'sql_schema/semsql.sql']}

install_requires = \
['SQLAlchemy-Utils>=0.38.2,<0.39.0',
 'click>=8.1.3,<9.0.0',
 'linkml>=1.2.11,<2.0.0']

entry_points = \
{'console_scripts': ['gen-semsql-views = semsql.sqlutils.viewgen:cli',
                     'semsql = semsql.builder.cli:main']}

setup_kwargs = {
    'name': 'semsql',
    'version': '0.1.4',
    'description': '',
    'long_description': None,
    'author': 'cmungall',
    'author_email': 'cjm@berkeleybop.org',
    'maintainer': None,
    'maintainer_email': None,
    'url': None,
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.8,<4.0',
}


setup(**setup_kwargs)
